Skip to main content
POST
Telegram provider check auth

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json

Telegram Check Auth

state
string

Temporary auth state for oauth2 access

telegramAuthToken
string

JWT Auth Token coming from Telegram Bot containing user information

forceCreateUser
boolean

Force create a user for Telegram Auto Login

code
string
Pattern: ^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$
Example:

"An example name"

sessionPublicKey
string
Pattern: ^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$
Example:

"An example name"

captchaToken
string

When provided, used to verify that a captcha is valid and get the success/failure result from the captcha provider server-side.

Response

The user is recognized

Last modified on January 21, 2026